Subject: Re: [RFC] [DCCP]: Deprecate SOCK_DCCP in favour of SOCK_DGRAM

From: Ulrich Drepper <[email-masked]>
Date: Tue, 13 May 2008 12:14:07 -0700

Rémi Denis-Courmont wrote:
> In any case, getaddrinfo() should be patched to
> [...]

What should be the behavior is socktype and protocol are zero?  Should
these two types be returned by default?  What others?  So far we return
TCP, UDP, and raw socket information.  I'd rather keep the list short
but since we already have raw sockets in there (because they are in
POSIX) I won't reject anything that's more useful than raw sockets.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖